require 'rest-client'

class Meme
  attr_reader :username, :password, :template_id

  def initialize(username, password, template_id)
    @username = username
    @password = password
    @template_id = template_id
  end

  def generate_meme(text0, text1)
    http_resp = make_api_call(text0, text1)

    return unless http_resp.code == 200
    result = JSON.parse(http_resp.body)
    return unless result['success']

    result['data']['url']
  end

  def make_api_call(text0, text1)
    RestClient.post(
      'http://api.imgflip.com/caption_image',
      username: username,
      password: password,
      template_id: template_id,
      text0: text0,
      text1: text1
    )
  end
end
