class Util
  def self.split_text(text)
    i = text[0..(text.length / 2)].rindex(' ')
    if i.nil?
      if include?(' ')
        split(' ', 1)
      else
        [text, '']
      end
    else
      [text[0..i].strip, text[i..-1].strip]
    end
  end

  def self.symbolize_keys(obj)
    case obj
    when Array
      obj.inject([]){|res, val|
        res << case val
        when Hash, Array
          symbolize_keys(val)
        else
          val
        end
        res
      }
    when Hash
      obj.inject({}){|res, (key, val)|
        nkey = case key
        when String
          key.to_sym
        else
          key
        end
        nval = case val
        when Hash, Array
          symbolize_keys(val)
        else
          val
        end
        res[nkey] = nval
        res
      }
    else
      obj
    end
  end
end
